
Name: kruler
Summary: KDE Screen Ruler
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2 and GFDL
URL: http://www.kde.org/applications/graphics/kruler
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires: kdoctools-devel
BuildRequires: ki18n-devel
BuildRequires: knotifications-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kxmlgui-devel

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl


%description
KRuler displays on screen a ruler measuring pixels.
Features :
    - Integrated color picker
    - Change the length of the ruler
    - Change the orientation of the ruler
    - Change the color, transparency and font of the ruler

%files
%_kf5_bindir/kruler
%_kf5_datadir/applications/*.desktop
%_kf5_datadir/kruler
%_kf5_iconsdir/*/*/*/kruler*
%_kf5_datadir/knotifications5/kruler.notifyrc
%_kf5_datadir/metainfo/org.kde.kruler.appdata.xml
%_kf5_datadir/locale
#------------------------------------------------------------------------------

%package handbook
Summary: Kruler handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description handbook
This package provides kruler handbook.

%files handbook
%doc %_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DKDE4_ENABLE_FINAL=ON
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

